io.vertx.rxjava3.httpproxy

## Interface ProxyInterceptor

- All Superinterfaces:
    io.vertx.lang.rx.RxDelegate

      public interface ProxyInterceptor
      extends io.vertx.lang.rx.RxDelegate

  A `HttpProxy` interceptor.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProxyInterceptor` | `getDelegate()`
    `Single<ProxyResponse>` | `handleProxyRequest(ProxyContext context)` Handle the proxy request at the stage of this interceptor.
    `Completable` | `handleProxyResponse(ProxyContext context)` Handle the proxy response at the stage of this interceptor.
    `static ProxyInterceptor` | `newInstance(ProxyInterceptor arg)`
    `Single<ProxyResponse>` | `rxHandleProxyRequest(ProxyContext context)` Handle the proxy request at the stage of this interceptor.
    `Completable` | `rxHandleProxyResponse(ProxyContext context)` Handle the proxy response at the stage of this interceptor.

- - ### Method Detail

    - #### getDelegate

          ProxyInterceptor getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handleProxyRequest

          Single<ProxyResponse> handleProxyRequest(ProxyContext context)

      Handle the proxy request at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the request has actually been sent to the origin

    - #### rxHandleProxyRequest

          Single<ProxyResponse> rxHandleProxyRequest(ProxyContext context)

      Handle the proxy request at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the request has actually been sent to the origin

    - #### handleProxyResponse

          Completable handleProxyResponse(ProxyContext context)

      Handle the proxy response at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the response has actually been sent to the user-agent

    - #### rxHandleProxyResponse

          Completable rxHandleProxyResponse(ProxyContext context)

      Handle the proxy response at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the response has actually been sent to the user-agent

    - #### newInstance

          static ProxyInterceptor newInstance(ProxyInterceptor arg)

Copyright © 2025 Eclipse. All rights reserved.